/** INCLUDES *******************************************************/
#include "Compiler.h"
#include "Interrupt_cfg.h"
#include "Global_Constans.h"

#pragma code
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/************ Megszaktsok belltsai ********************/
/***********************************************************/
/******************************************************************************
 * Function:        Megszaktsok belltsai
 *
 * PreCondition:    None
 *
 * Input:           None
 *
 * Output:          None
 *
 * Side Effects:    None
 *
 * Overview:        
 *					
 * Note:            None
 *****************************************************************************/

void INT_cfg(void)
{
	RCONbits.IPEN = Be;  		//Prioritsos Megszaktsok engedlyezve

//TIMER0 INT	
	INTCON2bits.TMR0IP=HighInt;	//Megszakts vektor kivlasztsa
	TIMER0_INT_E = Be;		

//USB INT
//  IPR2bits.USBIP = HighInt;	// USB high megszakts
//  UIEbits.TRNIE = Be;  		//usb tranzakci megszakts engedlyezse
//	UIEbits.IDLEIE = Be;
//  UIEbits.STALLIE = Be;
//  UIEbits.ACTVIE = Be;
//	UIEbits.URSTIE = Be;		// USB Reset megszakts	
//	UIEbits.SOFIE = Be;			// START-OF-FRAME Token Interrupt bit
//  PIE2bits.USBIE = Be;   		// USB perifria megszakts engedlyezse/tiltsa

//Global s Perifria INT
	INTCONbits.PEIE=Be;			// Perifria megszaktsok engedlyezse
	INTCONbits.GIE=Be;			// Globlis megszakts Engedlyezse 


}//End INT_Init

