VERSION 5.00
Begin VB.Form MainForm 
   BorderStyle     =   0  'None
   Caption         =   "PIC18F2550_USBproject_watt"
   ClientHeight    =   3780
   ClientLeft      =   5445
   ClientTop       =   3645
   ClientWidth     =   7680
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   3780
   ScaleWidth      =   7680
   ShowInTaskbar   =   0   'False
   Begin VB.CheckBox Check1 
      Caption         =   "Listzs"
      Height          =   255
      Left            =   2160
      TabIndex        =   11
      Top             =   3480
      Width           =   1095
   End
   Begin VB.CommandButton Command6 
      BackColor       =   &H00000000&
      Height          =   375
      Left            =   2040
      Style           =   1  'Graphical
      TabIndex        =   10
      Top             =   1080
      Width           =   375
   End
   Begin VB.CommandButton Command5 
      BackColor       =   &H00000000&
      Height          =   375
      Left            =   2160
      Style           =   1  'Graphical
      TabIndex        =   9
      Top             =   3000
      Width           =   375
   End
   Begin VB.TextBox Text2 
      Height          =   285
      Left            =   1560
      TabIndex        =   6
      Text            =   "&H3F"
      Top             =   2280
      Width           =   975
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   240
      TabIndex        =   5
      Text            =   "&H4D8"
      Top             =   2280
      Width           =   975
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Levlaszts"
      Height          =   495
      Left            =   600
      TabIndex        =   4
      Top             =   3240
      Width           =   1335
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Csatlakozs"
      Height          =   495
      Left            =   600
      TabIndex        =   3
      Top             =   2640
      Width           =   1335
   End
   Begin VB.CommandButton Command2 
      Caption         =   "LED Toggle"
      Height          =   615
      Left            =   600
      TabIndex        =   2
      Top             =   960
      Width           =   1335
   End
   Begin VB.ListBox List1 
      Height          =   3180
      Left            =   2760
      TabIndex        =   1
      Top             =   240
      Width           =   4695
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Eszkz adatok"
      Height          =   495
      Left            =   600
      TabIndex        =   0
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Label2 
      Caption         =   "Product ID (PID)"
      Height          =   255
      Left            =   1440
      TabIndex        =   8
      Top             =   2040
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Vendor ID (VID)"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   2040
      Width           =   1335
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' vendor and product IDs
Dim VendorID As Integer
Dim ProductID As Integer
Dim MyHandle As Long                ' USB HID handle assigned to our device
Dim MyVendorName As String * 255    ' USB HID device vendor name
Dim MyProductName As String * 255   ' USB HID product name
Dim MySerialNumber As String * 50   ' USB HID device serial number
Dim MyReleaseNumber As String       ' USB HID device release number
' read and write buffers
Private Const BufferInSize = 64
Private Const BufferOutSize = 64
Dim BufferIn(0 To BufferInSize) As Byte
Dim BufferOut(0 To BufferOutSize) As Byte

Dim List_Counter As Long

Private Sub Command1_Click() 'USB azonostk lekrdezse, listzsa

      ' get the USB device handle for this vendor & product ID
      MyHandle = hidGetHandle(VendorID, ProductID)
      
  If MyHandle = 0 Then
      List1.AddItem " Az eszkz nincs csatlakoztatva.", 0
  Else
      List1.AddItem " HID Handle # " & MyHandle, 0
      
      hidGetVendorName MyHandle, MyVendorName, 255
      hidGetProductName MyHandle, MyProductName, 255
      hidGetSerialNumber MyHandle, MySerialNumber, 50
      MyReleaseNumber = Hex(hidGetVersion(MyHandle))
      
      Select Case Len(MyReleaseNumber)
            Case 1
            MyReleaseNumber = "000" & MyReleaseNumber
            Case 2
            MyReleaseNumber = "00" & MyReleaseNumber
            Case 3
            MyReleaseNumber = "0" & MyReleaseNumber
      End Select
      
      MyReleaseNumber = Mid(MyReleaseNumber, 1, 2) & "." & Mid(MyReleaseNumber, 3, 2)
      
      ' Show VID#, PID#, and serial# as frame caption
      List1.AddItem (" VID #" & Hex(hidGetVendorID(MyHandle)) & _
      " /  PID #" & Hex(hidGetProductID(MyHandle))), 0
      
      List1.AddItem " MFG: " + MyVendorName, 0
      List1.AddItem " Product: " + MyProductName, 0
      List1.AddItem " Serial #: " + MySerialNumber, 0
      List1.AddItem " Release #: " & MyReleaseNumber, 0
    End If
End Sub

Private Sub Command2_Click()
    BufferOut(0) = 0
    BufferOut(1) = 128      ' LED Toggle kdja
    Call WriteSomeData      ' Adat kivitele USB-re (64 bjt. Itt csak egy bjt hordoz inft a PIC-nek)
End Sub

Private Sub Command3_Click()    ' Csatlakozs az eszkzhz
  VendorID = Text1.Text
  ProductID = Text2.Text        ' A kt text boxban llthatjuk be az USB azonostk rtkt.
                                ' gyeljnk a formtumra, mert nincs hibakezels
   
  MyHandle = hidGetHandle(VendorID, ProductID) ' Eszkz elzetes vizsglata
      
  If MyHandle = 0 Then
          ConnectToHID (Me.hwnd)
          MyHandle = hidGetHandle(VendorID, ProductID)
        If MyHandle = 0 Then
           List1.AddItem (" Nem tallok eszkzt!"), 0
           DisconnectFromHID
        Else
           List1.AddItem (" Csatlakozva"), 0
        End If
            
  Else
    List1.AddItem (" Az eszkz mr Csatlakozva van."), 0
  End If
End Sub

Private Sub Command4_Click() ' Levlaszts
  MyHandle = hidGetHandle(VendorID, ProductID) ' Eszkz elzetes vizsglata
      
  If MyHandle <> 0 Then
    DisconnectFromHID
    List1.AddItem (" Levlasztva"), 0
  Else
    List1.AddItem (" Nincs csatlakozva eszkz!"), 0
  End If
End Sub

Private Sub Form_Load()
   List_Counter = 0
   
End Sub

'*****************************************************************
' disconnect from the HID controller...
'*****************************************************************
Private Sub Form_Unload(Cancel As Integer)
    Command2_Click
    DisconnectFromHID
End Sub

'*****************************************************************
' a HID device has been plugged in...
'*****************************************************************
Public Sub OnPlugged(ByVal pHandle As Long)
   If hidGetVendorID(pHandle) = VendorID And hidGetProductID(pHandle) = ProductID Then
      ' ** YOUR CODE HERE **
   End If
End Sub

'*****************************************************************
' a HID device has been unplugged...
'*****************************************************************
Public Sub OnUnplugged(ByVal pHandle As Long)
   If hidGetVendorID(pHandle) = VendorID And hidGetProductID(pHandle) = ProductID Then
      ' ** YOUR CODE HERE **
   End If
End Sub

'*****************************************************************
' controller changed notification - called
' after ALL HID devices are plugged or unplugged
'*****************************************************************
Public Sub OnChanged()
   Dim DeviceHandle As Long
   
   ' get the handle of the device we are interested in, then set
   ' its read notify flag to true - this ensures you get a read
   ' notification message when there is some data to read...
   DeviceHandle = hidGetHandle(VendorID, ProductID)
   hidSetReadNotify DeviceHandle, True
End Sub

'*****************************************************************
' on read event... USB vtel esemnykezelse(A vtelkor ez a rutin hvdik meg automatikusan)
'*****************************************************************
Public Sub OnRead(ByVal pHandle As Long)
   
   ' read the data (don't forget, pass the whole array)...
   If hidRead(pHandle, BufferIn(0)) Then
   
    If BufferIn(2) = &H70 Or BufferIn(1) = &H70 Then    'Ezt a kdot kldi vissza a PIC a belltott temben.
        If Command5.BackColor = &HFF& Then
           Command5.BackColor = 0
        Else
           Command5.BackColor = &HFF&
        End If
    End If
      
    
    If BufferIn(2) = &H71 Then   ' &H71 Ezt a kdot kldi vissza a PIC ha a LED1 bekapcsolva van.
        Command6.BackColor = &HFF&
    End If
    If BufferIn(2) = &H72 Then    '&H72 Ezt a kdot kldi vissza a PIC ha a LED1 kikapcsolva van.
        Command6.BackColor = 0
    End If
        
    List_Counter = List_Counter + 1
    
    If Check1.Value = vbChecked Then List1.AddItem List_Counter & ": " & BufferIn(2), 0
    
    If List_Counter = 999 Then
        List_Counter = 0
     If Check1.Value = vbChecked Then List1.Clear
    End If
    
    
      ' ** YOUR CODE HERE **
      ' first byte is the report ID, e.g. BufferIn(0)
      ' the other bytes are the data from the microcontrolller...
   End If
End Sub

'*****************************************************************
' this is how you write some data...
'*****************************************************************
Public Sub WriteSomeData()
 '  BufferOut(0) = 0   ' first by is always the report ID

   ' write the data (don't forget, pass the whole array)...
   hidWriteEx VendorID, ProductID, BufferOut(0)
End Sub


